Subject: [BUG] Unexpected behaviour with Rmail starting from message #22

From: [email-masked]
Date: Wed, 10 Jan 2024 13:01:32 +0000

A. Open any Rmail mailbox with at least 22 messages. Suppose for 
simplicity that this Rmail mailbox is connected via imap to a remote 
mailbox which won't receive any new message for the duration of our 
experiment.
B. Place yourself over any message from 1 to 21: the echo area says 
nothing. Now press the key "g" to update your mailbox, the echo area 
displays "0 new messages read"
C. Place yourself over message number 22 or higher (say we choose number 
22): the echo area now says "Showing message 22...done"!! Now press the 
key "g" to update your mailbox, the echo area now displays "Showing 
message 22...done"!!

What is going on from message #22?